com.tibbo.aggregate.common.binding

## Class AbstractBindingProvider<T>

- java.lang.Object
- - com.tibbo.aggregate.common.binding.AbstractBindingProvider<T>

- All Implemented Interfaces:
    BindingProvider<T>
  Direct Known Subclasses:
    AbstractDataTableBindingProvider

      public abstract class AbstractBindingProvider<T>
      extends java.lang.Object
      implements BindingProvider<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBindingProvider()`
    `AbstractBindingProvider(ErrorCollector errorCollector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `buildErrorMessage(Binding binding, int method, Reference cause, java.lang.Exception error)`
    `protected java.lang.String` | `buildExecutionMessage(int method, Binding binding, EvaluationOptions options, Reference cause, java.lang.Object result)`
    `java.util.List<Reference>` | `getReferences(Binding binding)` Returns list of references of a particular binding.
    `void` | `processError(Binding binding, int method, Reference cause, java.lang.Exception error)` Method used to handle binding processing error.
    `void` | `processExecution(int method, Binding binding, EvaluationOptions options, Reference cause, java.lang.Object result)` Method used to handle execution of a binding.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.binding.BindingProvider

      `addReferenceListener, createBindings, removeReferenceListener, start, stop, writeReference`

- - ### Constructor Detail

    - #### AbstractBindingProvider

          public AbstractBindingProvider()

    - #### AbstractBindingProvider

          public AbstractBindingProvider(ErrorCollector errorCollector)

  - ### Method Detail

    - #### processExecution

          public void processExecution(int method,
                                       Binding binding,
                                       EvaluationOptions options,
                                       Reference cause,
                                       java.lang.Object result)

      Description copied from interface: `BindingProvider`
      Method used to handle execution of a binding.
      Specified by:
        `processExecution` in interface `BindingProvider<T>`

    - #### buildExecutionMessage

          protected java.lang.String buildExecutionMessage(int method,
                                                           Binding binding,
                                                           EvaluationOptions options,
                                                           Reference cause,
                                                           java.lang.Object result)

    - #### buildErrorMessage

          protected java.lang.String buildErrorMessage(Binding binding,
                                                       int method,
                                                       Reference cause,
                                                       java.lang.Exception error)

    - #### processError

          public void processError(Binding binding,
                                   int method,
                                   Reference cause,
                                   java.lang.Exception error)

      Description copied from interface: `BindingProvider`
      Method used to handle binding processing error.
      Specified by:
        `processError` in interface `BindingProvider<T>`

    - #### getReferences

          public java.util.List<Reference> getReferences(Binding binding)
                                                  throws BindingException

      Description copied from interface: `BindingProvider`
      Returns list of references of a particular binding.
      Specified by:
        `getReferences` in interface `BindingProvider<T>`
      Returns:
        List of references found in a binding.
      Throws:
        `BindingException`